## univention-portal 4.0.5-64A~5.0.0.202108121215

=== Makefile ===
#!/usr/bin/make -f
#
# Copyright 2017-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <https://www.gnu.org/licenses/>.

.PRECIOUS: build build-dev

build:
	npm set prefix=$$HOME/.node
	npm install -g npm@latest
	$$HOME/.node/bin/npm install -g yarn
	cd frontend && $$HOME/.node/bin/yarn install
	cd frontend && $$HOME/.node/bin/yarn build

## univention-portal 4.0.5-53A~5.0.0.202105201144

=== debian/changelog ===
univention-portal (4.0.5-53A~5.0.0.202105201144) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 20 May 2021 11:44:29 +0200

univention-portal (4.0.5-53) unstable; urgency=medium

  * Bug #53293: Remove Blog tile

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 20 May 2021 11:43:18 +0200

univention-portal (4.0.5-52) unstable; urgency=medium

  * Bug #53289: Remove empty value from portal syntax

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 19 May 2021 15:43:48 +0200

univention-portal (4.0.5-51) unstable; urgency=medium

  * Bug #53285: Add cn=services to cn=portal on 4.4 update

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 18 May 2021 22:19:37 +0200

univention-portal (4.0.5-50) unstable; urgency=medium

  * Bug #53161: Updated portals will have linkTarget newwindow; UMC module
    will have linkTarget embedded

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 13 May 2021 01:05:58 +0200

univention-portal (4.0.5-49) unstable; urgency=medium

  * Bug #53234: Fix blockers for UCS 5 (form validation) (2)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 12 May 2021 00:36:52 +0200

univention-portal (4.0.5-48) unstable; urgency=medium

  * Bug #53234: Fix blockers for UCS 5 (form validation)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 11 May 2021 02:19:53 +0200

univention-portal (4.0.5-47) unstable; urgency=medium

  * Bug #53234: Fix blockers for UCS 5

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 10 May 2021 12:14:32 +0200

univention-portal (4.0.5-46) unstable; urgency=medium

  * Bug #52941: icons for univention portal in different sizes added

 -- Jan Luttermann <luttermann@univention.de>  Wed, 05 May 2021 15:03:14 +0200

univention-portal (4.0.5-45) unstable; urgency=medium

  * Bug #51197: The new UDM modules only need to be present starting with
    5.0-0

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 04 May 2021 17:24:34 +0200

univention-portal (4.0.5-44) unstable; urgency=medium

  * Bug #52869: Custom CSS

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sat, 01 May 2021 17:04:29 +0200

univention-portal (4.0.5-43) unstable; urgency=medium

  * Bug #52869: Improved edit Mode

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 28 Apr 2021 17:03:40 +0200

univention-portal (4.0.5-42) unstable; urgency=medium

  * Bug #53140: Fixed bug in determining the best portal

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 28 Apr 2021 13:22:14 +0200

univention-portal (4.0.5-41) unstable; urgency=medium

  * Bug #52869: Styling: font-face, loading spinner, tab navigation

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 26 Apr 2021 00:05:10 +0200

univention-portal (4.0.5-40) unstable; urgency=medium

  * Bug #53140: Until joined, UMC is the default portal

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sun, 25 Apr 2021 21:41:03 +0200

univention-portal (4.0.5-39) unstable; urgency=medium

  * Bug #52941: added new icon design for portal

 -- Jan Luttermann <luttermann@univention.de>  Fri, 23 Apr 2021 14:03:36 +0200

univention-portal (4.0.5-38) unstable; urgency=medium

  * Bug #52512: Better error handling

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 23 Apr 2021 02:03:19 +0200

univention-portal (4.0.5-37) unstable; urgency=medium

  * Bug #52512: Fix unittests

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 23 Apr 2021 01:29:29 +0200

univention-portal (4.0.5-36) unstable; urgency=medium

  * Bug #52512: Added UCRV for the portal DN

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 22 Apr 2021 10:52:44 +0200

univention-portal (4.0.5-35) unstable; urgency=medium

  * Bug #52941: Ensure login in UMC portal

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 22 Apr 2021 09:12:54 +0200

univention-portal (4.0.5-34) unstable; urgency=medium

  * Bug #51197: Re-add ensureLogin

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 21 Apr 2021 15:21:12 +0200

univention-portal (4.0.5-33) unstable; urgency=medium

  * Bug #52941: Fix UMC portal cache

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 21 Apr 2021 11:47:23 +0200

univention-portal (4.0.5-32) unstable; urgency=medium

  * Bug #52792: Typo in UCR definition

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 21 Apr 2021 03:30:13 +0200

univention-portal (4.0.5-31) unstable; urgency=medium

  * Bug #52869: self-service links not part of the portal

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 20 Apr 2021 16:18:13 +0200

univention-portal (4.0.5-30) unstable; urgency=medium

  * Bug #52869: Fixed refs in ChangePassword and login.svg

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Sun, 18 Apr 2021 11:47:41 +0200

univention-portal (4.0.5-29) unstable; urgency=medium

  * Bug #52869: Improved edit mode side navigation

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 16 Apr 2021 23:06:44 +0200

univention-portal (4.0.5-28) unstable; urgency=medium

  * Bug #52869: Add login tile

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 16 Apr 2021 20:55:34 +0200

univention-portal (4.0.5-27) unstable; urgency=medium

  * Bug #51197: Forgot one file where the old attributes are still used

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 16 Apr 2021 12:57:38 +0200

univention-portal (4.0.5-26) unstable; urgency=medium

  * Bug #51197: Removed some now unneeded attributes from portals/portal

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 16 Apr 2021 02:38:06 +0200

univention-portal (4.0.5-25) unstable; urgency=medium

  * Bug #51197: Prevent tracebacks, print warnings

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 15 Apr 2021 21:56:54 +0200

univention-portal (4.0.5-24) unstable; urgency=medium

  * Bug #52869: Fix portal entries after update

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 15 Apr 2021 21:26:27 +0200

univention-portal (4.0.5-23) unstable; urgency=medium



=== debian/control ===
Source: univention-portal
Section: univention
Priority: optional
Maintainer: Univention GmbH <packages@univention.de>
Build-Depends:
 debhelper,
 dh-python,
 python3-all,
 python3-debian,
 npm,
 univention-config-dev (>= 15.0.3),
 univention-join-dev,
 univention-l10n-dev (>= 7.0.1),
Standards-Version: 3.9.5

Package: univention-portal
Architecture: all
Depends:
 netcat-openbsd,
 python3-univention-portal (= ${source:Version}),
 python3-click,
 python3-requests,
 python3-tornado,
 python3-univention-appcenter,
 univention-config,
 univention-directory-listener,
 univention-directory-manager-tools,
 univention-management-console-server,
 ${misc:Depends},
Description: Univention Portal - Central portal web page for a UCS domain
 Univention Portal is a web interface which allows a central view
 to a UCS domain with all installed Apps and services. Univention
 Portal is configurable, i.e., any and multiple servers can be
 configured to be show a portal. Portal entries can be configured
 to be accessible only on specific hosts. Univention Portal is also
 customisable with a logo and background image.
 .
 This package is part of Univention Corporate Server (UCS),
 an integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

Package: python3-univention-portal
Architecture: all
Depends:
 python3-univention-directory-manager,
 ${python:Depends},
Provides:
 ${python:Provides},
Description: Library for Univention Portal
 .
 It is part of Univention Corporate Server (UCS), an
 integrated, directory driven solution for managing
 corporate environments. For more information about UCS,
 refer to: https://www.univention.de/

## univention-portal 4.0.5-62A~5.0.0.202106231040

=== debian/changelog ===
univention-portal (4.0.5-62A~5.0.0.202106231040) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 23 Jun 2021 10:40:13 +0200

univention-portal (4.0.5-62) unstable; urgency=medium

  * Bug #53491: Last CSS improvements

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 23 Jun 2021 10:38:24 +0200

univention-portal (4.0.5-61) unstable; urgency=medium

  * Bug #53491: Scale header icons

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Jun 2021 20:21:38 +0200

univention-portal (4.0.5-60) unstable; urgency=medium

  * Bug #53491: Lost CSS variables

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Jun 2021 20:14:33 +0200

univention-portal (4.0.5-59) unstable; urgency=medium

  * Bug #53491: Typo

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Jun 2021 16:54:37 +0200

univention-portal (4.0.5-58) unstable; urgency=medium

  * Bug #53491: Changed tab background

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Jun 2021 16:48:12 +0200

univention-portal (4.0.5-57) unstable; urgency=medium

  * Bug #53491: Tabs now have a full logo tile, not just the logo

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Jun 2021 13:58:20 +0200

univention-portal (4.0.5-56) unstable; urgency=medium

  * Bug #53491: Fix login button hidden behind another element

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Jun 2021 10:27:17 +0200

univention-portal (4.0.5-55) unstable; urgency=medium

  * Bug #53491: Include patches from Phoenix - Theme

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 21 Jun 2021 18:06:57 +0200

univention-portal (4.0.5-54) unstable; urgency=medium

  * Bug #53385: Include patches from Phoenix

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 02 Jun 2021 23:59:03 +0200

## univention-portal 4.0.5-64A~5.0.0.202108121215

=== debian/changelog ===
univention-portal (4.0.5-64A~5.0.0.202108121215) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 12 Aug 2021 12:15:20 +0200

univention-portal (4.0.5-64) unstable; urgency=medium

  * Bug #53651: Remove template /usr/share/univention-portal/apps.json
    completely

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 12 Aug 2021 12:11:42 +0200

univention-portal (4.0.5-63) unstable; urgency=medium

  * Bug #53651: Remove template /usr/share/univention-portal/apps.json

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 12 Aug 2021 10:50:27 +0200

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Portal
#  rules file for the debian package
#
# Copyright 2016-2021 Univention GmbH
#
# https://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see

export DH_VERBOSE=1
export PYBUILD_NAME=univention-portal

%:
	dh $@ --with python3,univention-l10n,ucr,univention-join --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make

## univention-portal 4.0.5-70A~5.0.0.202111031326

=== Makefile ===
--- 
+++ 
@@ -30,6 +30,7 @@
 .PRECIOUS: build build-dev
 
 build:
+	./frontend/process_vue_files.sh
 	npm set prefix=$$HOME/.node
 	npm install -g npm@latest
 	$$HOME/.node/bin/npm install -g yarn

=== debian/changelog ===
univention-portal (4.0.5-70A~5.0.0.202111031326) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 03 Nov 2021 13:26:59 +0100

univention-portal (4.0.5-70) unstable; urgency=medium

  * Bug #53565: Include patches from Phoenix Q3/21

 -- Johannes Keiser <keiser@univention.de>  Wed, 03 Nov 2021 10:35:02 +0100

univention-portal (4.0.5-69) unstable; urgency=medium

  * Bug #53565: Include patches from Phoenix Q3/21

 -- Johannes Keiser <keiser@univention.de>  Tue, 19 Oct 2021 13:03:11 +0200

univention-portal (4.0.5-68) unstable; urgency=medium

  * Bug #53565: Fix l10n file creation for frontend (again)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 18 Oct 2021 03:57:28 +0200

univention-portal (4.0.5-67) unstable; urgency=medium

  * Bug #53565: Fix l10n file creation for frontend

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 18 Oct 2021 03:17:49 +0200

univention-portal (4.0.5-66) unstable; urgency=medium

  * Bug #53565: Include patches from Phoenix Q3/21

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 15 Oct 2021 17:21:33 +0200

=== debian/control ===
--- 
+++ 
@@ -21,7 +21,6 @@
  python3-click,
  python3-requests,
  python3-tornado,
- python3-univention-appcenter,
  univention-config,
  univention-directory-listener,
  univention-directory-manager-tools,

## univention-portal 4.0.5-73A~5.0.0.202201191222

=== Makefile ===
--- 
+++ 
@@ -32,7 +32,7 @@
 build:
 	./frontend/process_vue_files.sh
 	npm set prefix=$$HOME/.node
-	npm install -g npm@latest
+	npm install -g npm@8.1.3
 	$$HOME/.node/bin/npm install -g yarn
 	cd frontend && $$HOME/.node/bin/yarn install
 	cd frontend && $$HOME/.node/bin/yarn build

=== debian/changelog ===
univention-portal (4.0.5-73A~5.0.0.202201191222) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 19 Jan 2022 12:22:53 +0100

univention-portal (4.0.5-73) unstable; urgency=medium

  * Bug #53296: explicit use npm@8.1.3 to build the univention-portal package 

 -- Ildefonso González Sánchez <isanchez.extern@univention.de>  Wed, 12 Jan 2022 10:31:31 +0100

univention-portal (4.0.5-71) unstable; urgency=medium

  * Bug #53296: set configuration for univention portal using https  

 -- Ildefonso González Sánchez <isanchez.extern@univention.de>  Mon, 10 Jan 2022 20:49:27 +0100

## univention-portal 4.0.5-74A~5.0.0.202202071247

=== debian/changelog ===
univention-portal (4.0.5-74A~5.0.0.202202071247) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Mon, 07 Feb 2022 12:47:26 +0100

univention-portal (4.0.5-74) unstable; urgency=medium

  * Bug #54029: Update French translation

 -- Johannes Lohmer <lohmer@univention.de>  Fri, 14 Jan 2022 16:35:26 +0100

## univention-portal 4.0.5-77A~5.0.0.202203221502

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 #
-# Copyright 2017-2021 Univention GmbH
+# Copyright 2017-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-portal (4.0.5-77A~5.0.0.202203221502) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 22 Mar 2022 15:02:31 +0100

univention-portal (4.0.5-77) unstable; urgency=medium

  * Bug #54556: Include patches from phoenix (2)

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 22 Mar 2022 14:54:42 +0100

univention-portal (4.0.5-76) unstable; urgency=medium

  * Bug #54556: Fix linter

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 15 Mar 2022 22:29:47 +0100

univention-portal (4.0.5-75) unstable; urgency=medium

  * Bug #54556: Include patches from phoenix

 -- Julia Bremer <bremer@univention.de>  Tue, 15 Mar 2022 19:27:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Univention Portal
 #  rules file for the debian package
 #
-# Copyright 2016-2021 Univention GmbH
+# Copyright 2016-2022 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-portal 4.0.5-78A~5.0.0.202204281554

=== debian/changelog ===
univention-portal (4.0.5-78A~5.0.0.202204281554) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 28 Apr 2022 15:54:45 +0200

univention-portal (4.0.5-78) unstable; urgency=medium

  * Bug #54633: Include patches from Phoenix

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Thu, 28 Apr 2022 15:52:45 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,9 @@
  debhelper,
  dh-python,
  python3-all,
+#python3-asyncio, # when enabling unit-tests during build process!
  python3-debian,
+#python3-tornado, # when enabling unit-tests during build process!
  npm,
  univention-config-dev (>= 15.0.3),
  univention-join-dev,
@@ -18,8 +20,8 @@
 Depends:
  netcat-openbsd,
  python3-univention-portal (= ${source:Version}),
+ python3-ldap,
  python3-click,
- python3-requests,
  python3-tornado,
  univention-config,
  univention-directory-listener,
@@ -42,6 +44,9 @@
 Package: python3-univention-portal
 Architecture: all
 Depends:
+ python3-ldap,
+ python3-tornado,
+ python3-requests,
  python3-univention-directory-manager,
  ${python:Depends},
 Provides:

## univention-portal 4.0.7-4A~5.0.0.202206291236

=== debian/changelog ===
univention-portal (4.0.7-4A~5.0.0.202206291236) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Wed, 29 Jun 2022 12:36:26 +0200

univention-portal (4.0.7-4) unstable; urgency=medium

  * Bug #54295: Fix regarding keywords in entry forms
  * Bug #54633: Tabindex for new descriptions

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 29 Jun 2022 11:53:15 +0200

univention-portal (4.0.7-3) unstable; urgency=medium

  * Bug #54295: Fix regarding keywords in tiles in folders

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 28 Jun 2022 12:44:41 +0200

univention-portal (4.0.7-2) unstable; urgency=medium

  * Bug #54633: QA Feedback

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 24 Jun 2022 16:05:55 +0200

univention-portal (4.0.7-1) unstable; urgency=medium

  * Bug #54618: add portal navigation endpoint

 -- Florian Best <best@univention.de>  Wed, 22 Jun 2022 14:20:46 +0200

univention-portal (4.0.6-3) unstable; urgency=medium

  * Bug #54633: Version bump

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 22 Jun 2022 14:12:18 +0200

univention-portal (4.0.6-2) unstable; urgency=medium

  * Bug #54633: Include patches from Phoenix Q2/22

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 22 Jun 2022 13:55:16 +0200

univention-portal (4.0.6-1) unstable; urgency=medium

  * Bug #54295: add keywords to portal entries

 -- Florian Best <best@univention.de>  Mon, 20 Jun 2022 16:46:59 +0200

univention-portal (4.0.5-79) unstable; urgency=medium

  * Bug #53296: set configuration for univention portal using https
  * Bug #53296: explicit use npm@8.1.3 to build the univention-portal package

 -- Ildefonso González Sánchez <isanchez.extern@univention.de>  Thu, 28 Apr 2022 17:56:44 +0200

## univention-portal 4.0.7-7A~5.0.0.202207191507

=== debian/changelog ===
univention-portal (4.0.7-7A~5.0.0.202207191507) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 19 Jul 2022 15:07:57 +0200

univention-portal (4.0.7-7) unstable; urgency=medium

  * Bug #55010: fix normalization of username

 -- Florian Best <best@univention.de>  Tue, 19 Jul 2022 15:06:08 +0200

univention-portal (4.0.7-6) unstable; urgency=medium

  * Bug #55010: fix password hash comparision

 -- Florian Best <best@univention.de>  Tue, 19 Jul 2022 14:46:27 +0200

univention-portal (4.0.7-5) unstable; urgency=medium

  * Bug #54273: Include debug script in portal-server-password-rotate subscript

 -- Juan Carlos García García <garcia-garcia.extern@univention.de>  Tue, 05 Jul 2022 12:25:08 +0200

## univention-portal 4.0.7-8A~5.0.0.202208112154

=== debian/changelog ===
univention-portal (4.0.7-8A~5.0.0.202208112154) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 11 Aug 2022 21:54:45 +0200

univention-portal (4.0.7-8) unstable; urgency=medium

  * Bug #54497: Use univention-group-membership-cache to obtain groups
    user belongs to

 -- Nikola Radovanovic <radovanovic.extern@univention.de>  Wed, 10 Aug 2022 19:10:34 +0200

=== debian/control ===
--- 
+++ 
@@ -26,6 +26,7 @@
  univention-config,
  univention-directory-listener,
  univention-directory-manager-tools,
+ univention-group-membership-cache,
  univention-management-console-server,
  ${misc:Depends},
 Description: Univention Portal - Central portal web page for a UCS domain

## univention-portal 4.0.7-9A~5.0.0.202208251315

=== debian/changelog ===
univention-portal (4.0.7-9A~5.0.0.202208251315) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 25 Aug 2022 13:15:03 +0200

univention-portal (4.0.7-9) unstable; urgency=medium

  * Bug #55063: removed dependency and use of python-six 

 -- Mika Westphal <westphal@univention.de>  Thu, 25 Aug 2022 11:12:56 +0200

## univention-portal 4.0.7-10A~5.0.0.202212011331

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,7 @@
 #!/usr/bin/make -f
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2017-2022 Univention GmbH
 #

=== debian/changelog ===
univention-portal (4.0.7-10A~5.0.0.202212011331) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 01 Dec 2022 13:31:44 +0100

univention-portal (4.0.7-10) unstable; urgency=medium

  * Bug #55378: adjust CSS to correctly display the cookie banner

 -- Christian Castens <castens@univention.de>  Wed, 23 Nov 2022 11:29:17 +0100

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 #
 # Univention Portal
 #  rules file for the debian package
+#
+# Like what you see? Join us!
+# https://www.univention.com/about-us/careers/vacancies/
 #
 # Copyright 2016-2022 Univention GmbH
 #

## univention-portal 4.0.9-1A~5.0.0.202302032114

=== debian/changelog ===
univention-portal (4.0.9-1A~5.0.0.202302032114) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Fri, 03 Feb 2023 21:14:44 +0100

univention-portal (4.0.9-1) unstable; urgency=medium

  * Bug #31771: migrate tabs to spaces

 -- Florian Best <best@univention.de>  Fri, 03 Feb 2023 04:17:41 +0100

univention-portal (4.0.8-1) unstable; urgency=medium

  * Bug #55554: Fix UCR variable typing

 -- Philipp Hahn <hahn@univention.de>  Wed, 18 Jan 2023 09:48:13 +0100

## univention-portal 4.0.9-2A~5.0.0.202303161259

=== debian/changelog ===
univention-portal (4.0.9-2A~5.0.0.202303161259) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 16 Mar 2023 12:59:11 +0100

univention-portal (4.0.9-2) unstable; urgency=medium

  * Bug #55871: Run univention-portal update after changing portal/default-dn

 -- Nico Gulden <gulden@univention.de>  Tue, 14 Mar 2023 15:57:03 +0100

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,9 @@
 Build-Depends:
  debhelper,
  dh-python,
+ npm,
  python3-all,
-#python3-asyncio, # when enabling unit-tests during build process!
  python3-debian,
-#python3-tornado, # when enabling unit-tests during build process!
- npm,
  univention-config-dev (>= 15.0.3),
  univention-join-dev,
  univention-l10n-dev (>= 7.0.1),
@@ -19,10 +17,10 @@
 Architecture: all
 Depends:
  netcat-openbsd,
+ python3-click,
+ python3-ldap,
+ python3-tornado,
  python3-univention-portal (= ${source:Version}),
- python3-ldap,
- python3-click,
- python3-tornado,
  univention-config,
  univention-directory-listener,
  univention-directory-manager-tools,
@@ -46,8 +44,8 @@
 Architecture: all
 Depends:
  python3-ldap,
+ python3-requests,
  python3-tornado,
- python3-requests,
  python3-univention-directory-manager,
  ${python:Depends},
 Provides:

## univention-portal 4.0.9-3A~5.0.0.202303281752

=== debian/changelog ===
univention-portal (4.0.9-3A~5.0.0.202303281752) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Tue, 28 Mar 2023 17:52:36 +0200

univention-portal (4.0.9-3) unstable; urgency=medium

  * Bug #55664: add missing translations.

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Thu, 23 Mar 2023 08:43:20 +0100

## univention-portal 4.0.9-4A~5.0.0.202303301335

=== debian/changelog ===
univention-portal (4.0.9-4A~5.0.0.202303301335) ucs5-0-0-0; urgency=low

  * UCS auto build. No patches were applied to the original source package

 -- Univention builddaemon <buildd@univention.de>  Thu, 30 Mar 2023 13:35:52 +0200

univention-portal (4.0.9-4) unstable; urgency=medium

  * Bug #55919: fix background color of tabs in "Choose a tab" dialog box

 -- Ivan Barbecho Delgado <delgado.extern@univention.de>  Thu, 30 Mar 2023 13:08:26 +0200

## univention-portal 4.0.9-5

=== debian/changelog ===
univention-portal (4.0.9-5) unstable; urgency=medium

  * Bug #55632: Improved Python 3.11 compatibility

 -- Mika Westphal <westphal@univention.de>  Fri, 06 Apr 2023 14:24:32 +0100

=== debian/control ===
--- 
+++ 
@@ -8,6 +8,7 @@
  npm,
  python3-all,
  python3-debian,
+ python3-setuptools,
  univention-config-dev (>= 15.0.3),
  univention-join-dev,
  univention-l10n-dev (>= 7.0.1),

## univention-portal 4.0.9-7

=== debian/changelog ===
univention-portal (4.0.9-7) unstable; urgency=medium

  * Bug #56113: Use the option to connect to the local slapd, thus removing a
    lot of slapd load in big environments

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 05 Jun 2023 19:45:16 +0200

## univention-portal 4.0.14-3

=== debian/changelog ===
univention-portal (4.0.14-3) unstable; urgency=medium

  * Bug #55175: Remove needsConfirmation from layout

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 19 Jun 2023 12:03:33 +0200

univention-portal (4.0.14-2) unstable; urgency=medium

  * Bug #55175: Some more styling; fix start and end date

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Fri, 16 Jun 2023 12:09:20 +0200

univention-portal (4.0.14-1) unstable; urgency=medium

  * Bug #55175: Adjust style for Announcement.vue (2)

 -- Johannes Keiser <keiser@univention.de>  Tue, 13 Jun 2023 17:06:05 +0200

univention-portal (4.0.13-2) unstable; urgency=medium

  * Bug #55175: No announcements for the virtual UMC portal

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Tue, 13 Jun 2023 14:10:38 +0200

univention-portal (4.0.13-1) unstable; urgency=medium

  * Bug #55175: fix writing icons

 -- Florian Best <best@univention.de>  Tue, 13 Jun 2023 12:42:25 +0200

univention-portal (4.0.12-2) unstable; urgency=medium

  * Bug #55175: Adjust style for Announcement.vue

 -- Johannes Keiser <keiser@univention.de>  Tue, 13 Jun 2023 11:40:37 +0200

univention-portal (4.0.12-1) unstable; urgency=medium

  * Bug #43633: adjust UMCP set/ HTTP requests

 -- Florian Best <best@univention.de>  Mon, 12 Jun 2023 07:47:45 +0200

univention-portal (4.0.11-1) unstable; urgency=medium

  * Bug #55175: fix error during upgrade when portals/announcement UDM module
    is not yet available (on Replicas)

 -- Florian Best <best@univention.de>  Sat, 10 Jun 2023 20:21:45 +0200

univention-portal (4.0.10-1) unstable; urgency=medium

  * Bug #55175: implemented announcement udm module

 -- Torben Köhn <torben.koehn.extern@univention.de>  Mon, 05 Jun 2023 21:51:41 +0200

## univention-portal 4.0.14-4

=== debian/changelog ===
univention-portal (4.0.14-4) unstable; urgency=medium

  * Bug #55785: fix HTTPS detection when acessing navigation.json endpoint
    behind UCS apache reverse proxy

 -- Florian Best <best@univention.de>  Mon, 03 Jul 2023 16:19:30 +0200

## univention-portal 4.0.14-7

=== debian/changelog ===
univention-portal (4.0.14-7) unstable; urgency=medium

  * Bug #55164: Show cookie banner only if configured for current domain

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Mon, 11 Sep 2023 16:28:41 +0200

univention-portal (4.0.14-6) unstable; urgency=medium

  * Revert "Bug #55610: added univention-portal logrotate configuration and a UCR variable"

    This reverts commit 8c336a2fd6aa314e8a574ab73b7bdfc115c9374f.

 -- Mika Westphal <westphal@univention.de>  Tue, 22 Aug 2023 12:38:27 +0200

## univention-portal 4.0.14-9

=== debian/changelog ===
univention-portal (4.0.14-9) unstable; urgency=low

  * Bug #53860: Update file portals.json atomically

 -- Philipp Hahn <hahn@univention.de>  Wed, 18 Oct 2023 09:01:10 +0200

univention-portal (4.0.14-8) unstable; urgency=medium

  * Bug #56660: Fix label translation for self-service fields.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Mon, 16 Oct 2023 15:54:41 +0200

## univention-portal 4.0.14-10

=== debian/changelog ===
univention-portal (4.0.14-10) unstable; urgency=low

  * Bug #56660: Fix label translation for self-service fields.

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 20 Oct 2023 11:51:53 +0200

## univention-portal 4.0.14-11

=== debian/changelog ===
univention-portal (4.0.14-11) unstable; urgency=medium

  * Bug #56349: The profile picture can now again be deleted

 -- Mika Westphal <westphal@univention.de>  Wed, 29 Nov 2023 13:53:48 +0100

## univention-portal 4.0.15-1

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2017-2022 Univention GmbH
+# Copyright 2017-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-portal (4.0.15-1) unstable; urgency=medium

  * Bug #56853: Fix label translation for self-service fields.
  * Bug #56832: UCS 5.0-6 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Dec 2023 19:17:28 +0100

=== debian/control ===
--- 
+++ 
@@ -47,7 +47,7 @@
  python3-ldap,
  python3-requests,
  python3-tornado,
- python3-univention-directory-manager,
+ python3-univention-directory-manager (>= 15.0.20-9),
  ${python:Depends},
 Provides:
  ${python:Provides},

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2016-2022 Univention GmbH
+# Copyright 2016-2023 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-portal 4.0.15-2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2017-2023 Univention GmbH
+# Copyright 2017-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-portal (4.0.15-2) unstable; urgency=medium

  * Bug #56917: make HTML title and favicon configurable

 -- Florian Best <best@univention.de>  Wed, 07 Feb 2024 13:28:43 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2016-2023 Univention GmbH
+# Copyright 2016-2024 Univention GmbH
 #
 # https://www.univention.de/
 #

## univention-portal 4.0.16-1

=== debian/changelog ===
univention-portal (4.0.16-1) unstable; urgency=medium

  * Bug #57023: make birthday for the user unsetable inside the self-service
  * Bug #57118: UCS 5.0-7 version bump

 -- Mika Westphal <westphal@univention.de>  Fri, 15 Mar 2024 15:18:50 +0100

## univention-portal 4.0.17-1

=== debian/changelog ===
univention-portal (4.0.17-1) unstable; urgency=medium

  [ Ivan Barbecho Delgado ]
  * Bug #57350 UCS 5.0-8 version bump

  [ Felix Botner ]
  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Fri, 07 Jun 2024 11:56:16 +0200

## univention-portal 4.0.17-2

=== debian/changelog ===
univention-portal (4.0.17-2) unstable; urgency=medium

  * Bug #57467 Add a shared worker that connects to the UMCs /logout-sse
    endpoint and notifies all attached ports when the logout message is
    received.

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 08 Aug 2024 14:55:51 +0200

## univention-portal 4.0.17-4

=== debian/changelog ===
univention-portal (4.0.17-4) unstable; urgency=medium

  * Bug #57562: default false for portal/reload-tabs-on-logout

 -- Felix Botner <botner@univention.de>  Wed, 04 Sep 2024 14:54:09 +0200

univention-portal (4.0.17-3) unstable; urgency=medium

  * Bug #57534: Support oidc in portal login button

 -- Felix Botner <botner@univention.de>  Mon, 26 Aug 2024 17:59:17 +0200

## univention-portal 4.0.18-2

=== debian/changelog ===
univention-portal (4.0.18-2) unstable; urgency=medium

  * Bug #57731: add optional id attribute to self-service components

 -- Christian Castens <castens@univention.de>  Tue, 05 Nov 2024 16:18:36 +0200

univention-portal (4.0.18-1) UNRELEASED; urgency=medium

  * Bug #57581 UCS 5.0-9 version bump

 -- Arvid <requate@univention.de>  Thu, 12 Sep 2024 13:18:36 +0200

## univention-portal 5.0.11

=== debian/changelog ===
univention-portal (5.0.11) unstable; urgency=medium

  * Bug #57562: default false for portal/reload-tabs-on-logout

 -- Felix Botner <botner@univention.de>  Wed, 04 Sep 2024 14:54:09 +0200

univention-portal (5.0.10) unstable; urgency=medium

  * Bug #57534: Support oidc in portal login button

 -- Felix Botner <botner@univention.de>  Thu, 29 Aug 2024 13:30:25 +0200

univention-portal (5.0.9) unstable; urgency=medium

  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Mon, 17 Jun 2024 15:41:57 +0200

univention-portal (5.0.8) unstable; urgency=medium

  * Bug #57023: make birthday for the user unsetable inside the self-service

 -- Mika Westphal <westphal@univention.de>  Mon, 08 Apr 2024 09:39:45 +0200

univention-portal (5.0.7) unstable; urgency=medium

  * Bug #56124: set --ucsversionstart flag to 5.0-7

 -- Marius Meschter <marius.meschter@univention.de>  Thu, 07 Mar 2024 23:54:55 +0100

univention-portal (5.0.6) unstable; urgency=medium

  * Bug #55915: replace `imghdr` import with `filetype`

 -- Maximilian Janßen <janssen@univention.de>  Thu, 07 Mar 2024 23:54:26 +0100

univention-portal (5.0.5) unstable; urgency=medium

  * Bug #56604: remove workarounds for Python 2 compatibility

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:18 +0100

univention-portal (5.0.4) unstable; urgency=medium

  * Bug #52048: remove UDM settings/portal*

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:54:05 +0100

univention-portal (5.0.3) unstable; urgency=medium

  * Bug #53127: upgrade to latest debhelper compat version

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:28 +0100

univention-portal (5.0.2) unstable; urgency=medium

  * Bug #56530: change Python 2 packages into transitional packages

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 23:53:20 +0100

univention-portal (5.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.1-0 version bump

 -- Florian Best <best@univention.de>  Thu, 07 Mar 2024 22:19:32 +0100

univention-portal (4.0.16-1) UNRELEASED; urgency=medium

  * Bug #57118 UCS 5.0-7 version bump

 -- Philipp Hahn <hahn@univention.de>  Thu, 07 Mar 2024 15:51:47 +0100

## univention-portal 6.0.15

=== Makefile ===
--- 
+++ 
@@ -38,4 +38,4 @@
 	npm install -g npm@8.1.3
 	$$HOME/.node/bin/npm install -g yarn
 	cd frontend && $$HOME/.node/bin/yarn install
-	cd frontend && $$HOME/.node/bin/yarn build
+	cd frontend && NODE_OPTIONS=--openssl-legacy-provider $$HOME/.node/bin/yarn build

=== debian/changelog ===
univention-portal (6.0.15) unstable; urgency=medium

  * Issue univention/components/keycloak-app#206: Change settings from keycloak/server/sso/fqdn to ucs/server/sso/uri

 -- Julia Bremer <bremer@univention.de>  Mon, 09 Dec 2024 09:58:33 +0100

univention-portal (6.0.14) unstable; urgency=medium

  * Issue univention/ucs#2495: Update copyright

 -- Dirk Wiesenthal <wiesenthal@univention.de>  Wed, 27 Nov 2024 17:23:49 +0100

univention-portal (6.0.13) unstable; urgency=medium

  * Bug #57731: add optional id attribute to self-service components

 -- Christian Castens <castens@univention.de>  Tue, 05 Nov 2024 16:18:36 +0200

univention-portal (6.0.12) unstable; urgency=medium

  * Bug #57562: default false for portal/reload-tabs-on-logout

 -- Felix Botner <botner@univention.de>  Wed, 04 Sep 2024 15:06:35 +0200

univention-portal (6.0.11) unstable; urgency=medium

  * Bug #57534: Support oidc in portal login button

 -- Felix Botner <botner@univention.de>  Thu, 29 Aug 2024 13:47:50 +0200

univention-portal (6.0.10) unstable; urgency=medium

  * Bug #57467 Add a shared worker that connects to the UMCs /logout-sse
    endpoint and notifies all attached ports when the logout message is
    received.

 -- Marius Meschter <marius.meschter@univention.de>  Mon, 12 Aug 2024 15:17:29 +0200

univention-portal (6.0.9) unstable; urgency=medium

  * Bug #57378 switch product logos

 -- Felix Botner <botner@univention.de>  Mon, 17 Jun 2024 16:00:58 +0200

univention-portal (6.0.8) unstable; urgency=medium

  * Bug #57083: fix shift of background when scrollbar disappears

 -- Christian Castens <castens@univention.de>  Fri, 12 Apr 2024 15:10:00 +0200

univention-portal (6.0.7) unstable; urgency=medium

  * Bug #57023: make birthday for the user unsetable inside the self-service

 -- Mika Westphal <westphal@univention.de>  Mon, 08 Apr 2024 09:52:53 +0200

univention-portal (6.0.6) unstable; urgency=medium

  * Bug #57083: add QA feedback to the latest portal style changes

 -- Christian Castens <castens@univention.de>  Fri, 15 Mar 2024 15:35:00 +0100

univention-portal (6.0.5) unstable; urgency=medium

  * Bug #56604: use Python 3.11 code annotations

 -- Florian Best <best@univention.de>  Wed, 13 Mar 2024 00:46:31 +0100

univention-portal (6.0.4) unstable; urgency=medium

  * Bug #57083: change the style of the UMC header

 -- Christian Castens <castens@univention.de>  Fri, 08 Mar 2024 00:18:49 +0100

univention-portal (6.0.3) unstable; urgency=medium

  * Bug #56927: increase all modified joinscripts by 10

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:46 +0100

univention-portal (6.0.2) unstable; urgency=medium

  * Bug #56539: fix building portal frontend

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:18:22 +0100

univention-portal (6.0.1) unstable; urgency=medium

  * Bug #55706: UCS 5.2-0 version bump

 -- Florian Best <best@univention.de>  Fri, 08 Mar 2024 00:12:20 +0100

## univention-portal 6.1.2

=== Makefile ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2017-2024 Univention GmbH
+# Copyright 2017-2025 Univention GmbH
 #
 # https://www.univention.de/
 #

=== debian/changelog ===
univention-portal (6.1.2) unstable; urgency=medium

  * Bug #58280: make hiding of FQDN and server address in meta.json configurable

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 20 May 2025 11:12:32 +0200

univention-portal (6.1.1) unstable; urgency=medium

  * Bug #58311: sanitize descriptions for different components
  * Bug #58015 UCS 5.2-1 version bump

 -- Christian Castens <castens@univention.de>  Mon, 03 Mar 2025 10:45:33 +0100

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Like what you see? Join us!
 # https://www.univention.com/about-us/careers/vacancies/
 #
-# Copyright 2016-2024 Univention GmbH
+# Copyright 2016-2025 Univention GmbH
 #
 # https://www.univention.de/
 #
@@ -31,6 +31,7 @@
 # You should have received a copy of the GNU Affero General Public
 # License with the Debian GNU/Linux or Univention distribution in file
 # /usr/share/common-licenses/AGPL-3; if not, see
+# <https://www.gnu.org/licenses/>.
 
 export DH_VERBOSE=1
 export PYBUILD_NAME=univention-portal

## univention-portal 6.4.0

=== Makefile ===
#!/usr/bin/make -f
# SPDX-FileCopyrightText: 2017-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

.PRECIOUS: build build-dev

build:
	./frontend/process_vue_files.sh
	npm set prefix=$$HOME/.node
	npm install -g npm@8.1.3
	$$HOME/.node/bin/npm install -g yarn
	cd frontend && $$HOME/.node/bin/yarn install
	cd frontend && NODE_OPTIONS=--openssl-legacy-provider $$HOME/.node/bin/yarn build

=== debian/changelog ===
univention-portal (6.4.0) unstable; urgency=medium

  * Bug #58848: UCS 5.2-4 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Fri, 28 Nov 2025 09:30:01 +0100

univention-portal (6.3.0) UNRELEASED; urgency=medium

  * Bug #58568: UCS 5.2-3 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Tue, 02 Sep 2025 16:18:20 +0200

univention-portal (6.2.0) UNRELEASED; urgency=medium

  * Bug #58344: UCS 5.2-2 version bump

 -- Ivan Barbecho Delgado <ivan.delgado@univention.de>  Wed, 28 May 2025 16:49:48 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Univention GmbH <packages@univention.de>
 Build-Depends:
- debhelper,
+ debhelper-compat (=13),
  dh-python,
  npm,
  python3-all,
@@ -44,13 +44,11 @@
 Package: python3-univention-portal
 Architecture: all
 Depends:
+ python3-filetype,
  python3-ldap,
  python3-requests,
  python3-tornado,
  python3-univention-directory-manager (>= 15.0.20-9),
- ${python:Depends},
-Provides:
- ${python:Provides},
 Description: Library for Univention Portal
  .
  It is part of Univention Corporate Server (UCS), an

=== debian/rules ===
#!/usr/bin/make -f
#
# Univention Portal
#  rules file for the debian package
#
# SPDX-FileCopyrightText: 2016-2025 Univention GmbH
# SPDX-License-Identifier: AGPL-3.0-only

export DH_VERBOSE=1
export PYBUILD_NAME=univention-portal

%:
	dh $@ --with python3,univention-l10n,ucr,univention-join --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	make
